﻿@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");

:root {
    --clr-main1: #594ae2;
    --clr-main2: #594ae2;
    --clr-main3: #594ae2;
}

body {
}

.verification-input {
    width: 50px;
    height: 3rem;
    text-align: center;
    font-size: 2rem;
    border-radius: 8px;
    padding-top: 5px;
    border: 1px solid #ccc;
}

    .verification-input input {
        text-align: center !important;
        font-size: 2rem;
    }

.bg-gray {
    background-color: #ededf9;
}

.progress-size {
    width: 13px !important;
    height: 13px !important;
}

.cursor-pointer {
    cursor: pointer;
}

.vertical-line {
    color: black;
    font-weight: bold;
}

    .vertical-line::before {
        content: "";
        display: inline-block;
        width: 4px; /* Thickness of the line */
        height: 1.5rem; /* Match text height */
        background-color: var(--clr-main1); /* Color of the line */
        margin-right: .8rem; /* Space between line and text */
        vertical-align: middle;
    }

.tenant-profile-email {
    background-color: var(--clr-main1);
    color: white;
    padding: 1.5rem .95rem;
    border-radius: 50%;
}

.tenant-profile-pass {
    background-color: var(--clr-main1);
    color: white;
    padding: 1.5rem .95rem;
    border-radius: 50%;
}

/*Admin Start*/

.kpi {
    padding: 24px;
    border-radius: 16px;
    border-left: 6px solid transparent;
    background: white;
    box-shadow: 0 6px 20px rgba(0,0,0,.05);
    transition: all .2s ease;
}

    .kpi:hover {
        transform: translateY(-3px);
        box-shadow: 0 12px 30px rgba(0,0,0,.12);
    }

.kpi-row {
    display: flex;
    gap: 18px;
    align-items: center;
}

/* Status colors */
.kpi-info {
    border-left-color: #2196f3;
}

.kpi-warning {
    border-left-color: #ff9800;
}

.kpi-danger {
    border-left-color: #f44336;
}

.kpi-secondary {
    border-left-color: #ff4081;
}

.kpi-offline {
    border-left-color: #9e9e9e;
}

.kpi-valve {
    border-left-color: #b71c1c;
}

/* Pulse for critical */
.kpi-secondary-active {
    animation: pulse 1.5s infinite;
}

@keyframes pulse {
    0% {
        box-shadow: 0 0 0 0 rgba(255,64,1,.4);
    }

    70% {
        box-shadow: 0 0 0 12px rgba(255,64,1,0);
    }

    100% {
        box-shadow: 0 0 0 0 rgba(255,64,1,0);
    }
}

.warning-row {
    border: 2px solid #f7b800 !important;
    background-color: #fffdf7 !important
}

.mud-input-label {
    font-size: 1.15rem !important;
    font-weight: 500 !important;
    background-color: white !important;
}

    .mud-input-label::after {
        content: " *";
        color: red;
        display: none;
        margin-left:5px;
    }

.mud-input-required .mud-input-label::after {
    display: inline;
}





/*Admin End*/



